page_title: Docker Hub Enterprise: Overview
page_description: Docker Hub Enterprise
page_keywords: docker, documentation, about, technology, understanding, enterprise, hub, registry

# Welcome to Docker Hub Enterprise

## Overview

Docker Hub Enterprise (DHE) lets you run and manage your own Docker image
storage service, securely on your own infrastructure behind your company
firewall. This allows you to securely store, push, and pull the images used by
your enterprise to build, ship, and run applications. DHE also provides
monitoring and usage information to help you understand the workloads being
placed on it.

Specifically, DHE provides:

* An image registry to store, manage, and collaborate on Docker images
* Pluggable storage drivers
* Configuration options to let you run DHE in your particular enterprise
environment.
* Easy, transparent upgrades
* Logging, usage and system health metrics

DHE is perfect for:

* Providing a secure, on-premise development environment
* Creating a streamlined build pipeline
* Building a consistent, high-performance test/QA environment
* Managing image deployment

DHE is built on [version 2 of the Docker registry](https://github.com/docker/distribution).

## Available Documentation

The following documentation for DHE is available:

* **Overview** This page.
* [**Quick Start: Basic User Workflow**](./quick-start.md) Go here to learn the
fundamentals of how DHE works and how you can set up a simple, but useful
workflow.
* [**User Guide**](./userguide.md) Go here to learn about using DHE from day to
day.
* [**Administrator Guide**](./adminguide.md) Go here if you are an administrator
responsible for running and maintaining DHE.
* [**Installation**](install.md) Go here for the steps you'll need to install
DHE and get it working.
* [**Configuration**](./configuration.md) Go here to find out details about
setting up and configuring DHE for your particular environment.
* [**Support**](./support.md) Go here for information on getting support for
DHE.

